summaryrefslogtreecommitdiff
path: root/package/debian/twm.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'package/debian/twm.postinst')
-rw-r--r--package/debian/twm.postinst18
1 files changed, 18 insertions, 0 deletions
diff --git a/package/debian/twm.postinst b/package/debian/twm.postinst
new file mode 100644
index 0000000..b0f51ec
--- /dev/null
+++ b/package/debian/twm.postinst
@@ -0,0 +1,18 @@
+#!/bin/sh
+# Debian twm package post-installation script
+# Copyright 1998-2001, 2004 Branden Robinson.
+# Licensed under the GNU General Public License, version 2. See the file
+# /usr/share/common-licenses/GPL or <https://www.gnu.org/copyleft/gpl.txt>.
+# Acknowledgements to Stephen Early, Mark Eichin, and Manoj Srivastava.
+
+set -e
+
+#DEBHELPER#
+
+update-alternatives --install /usr/bin/x-window-manager x-window-manager \
+ /usr/bin/twm 40 --slave /usr/share/man/man1/x-window-manager.1.gz \
+ x-window-manager.1.gz /usr/share/man/man1/twm.1.gz
+
+exit 0
+
+# vim:set ai et sts=2 sw=2 tw=0: